package ClientGetHex
{
	function NMH_Type::Send(%this)
	{
		if(%this.getValue() $= "/gethex")
		{
			%color = $Paint_Row[$CurrPaintRow].swatch[$CurrPaintSwatch].color;
			%a = getWord(%color,3);
			%r = mFloor(getWord(%color,0) - (255 - %a));
			%g = mFloor(getWord(%color,1) - (255 - %a));
			%b = mFloor(getWord(%color,2) - (255 - %a));
			%hex = getHex(%r) @ getHex(%g) @ getHex(%b);
			NewChatSO.addLine("\c6The hex for your selected color is <color:" @ %hex @ ">" @ %hex @ "\c6.");
			canvas.popDialog(NewMessageHud);
			return;
		}
		Parent::Send(%this);
	}
};
ActivatePackage(ClientGetHex);
function getHex(%power)
{
	%first = 0;
	%last = 0;
	while(%power > 0)
	{
		if(%power > 16)
		{
			%first++;
			%power -= 16;
			continue;
		}
		%last++;
		%power--;
	}
	switch(%first)
	{
	case 10:
		%first = "A";
	case 11:
		%first = "B";
	case 12:
		%first = "C";
	case 13:
		%first = "D";
	case 14:
		%first = "E";
	case 15:
		%first = "F";
	}
	switch(%last)
	{
	case 10:
		%last = "A";
	case 11:
		%last = "B";
	case 12:
		%last = "C";
	case 13:
		%last = "D";
	case 14:
		%last = "E";
	case 15:
		%last = "F";
	}
	return %first @ %last;
}